Несколько уязвимостей в Insanely Simple Blog

Дата публикации:
19.07.2007
Всего просмотров:
1513
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-3888
CVE-2007-3889
CVE-2008-2670
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Insanely Simple Blog 0.x
Уязвимые версии: Insanely Simple Blog 0.5, возможно более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "current_subsection" сценария index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "posted_by", "subject" и "content" сценария index.php и в параметре "term" в сценарии index.php (кода параметр "action" установлен в значение "search"). Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: sourceforge.net/projects/insanelysimple2/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA